.ui-icon {
    background-image: url("images/ui-icons_888888_256x240.png");
    height: 16px;
    width: 16px;
    left: 0;
    margin-top: -8px;
    position: absolute;
    top: 50%;
    background-repeat: no-repeat;
    display: block;
    overflow: hidden;
    text-indent: -99999px;
    background-position: 16px -16px;
}

input, textarea, select {
	border: 1px solid #AAAAAA;
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px;
	border-bottom-left-radius: 4px;
}

.autocomplete_showAllButton {
	background-color: #E8E8E8;
    border: 1px solid #BBBBBB;
    border-radius: 3px;
    color: #222222;
    cursor: pointer;
    font-size: 11px;
    margin-left: -3px;
    height: 23px;
    color: #888888;
    padding-left: 2px;
    padding-right: 2px;
}

form .field {
	padding: 5px;
	clear: both;
	position: relative;
} 

form .field label {
	float: left;
    margin-top: 3px;
    /*min-width: 150px;
    max-width: 150px;*/
	width: 150px;
    padding-right: 5px;
}

form .field input {
	float: left;
}

form .field .help-inline {
	display: inline-block;
	margin-top: 4px;
	margin-left: 5px;
	font-size: 10px;
	color: #777777;
}

form .errorMessage {
	position: absolute;
	margin-left: 2px;
	margin-top: 4px;
}

form .errorMessage .icon {
	background: url(images/warning.png) no-repeat 0px 0px;
	width: 16px;
	height: 16px;
	margin-top: 4px;
}

form .errorMessage .message {
	position: absolute;
	display: none;
	background: #FFBABA;
	color: #D8000C;
	width: 200px;
	border: 1px solid #FF0000;
	border-radius: 4px;
	padding: 7px;
	z-index: 2000;
}

.ui-spinner {
	position: relative;
	display: inline-block;
	overflow: hidden;
	padding: 0;
	vertical-align: middle;
	border: 1px solid #AAAAAA;
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px;
	border-bottom-left-radius: 4px;
}
.ui-spinner-input {
	border: none;
	background: none;
	color: inherit;
	padding: 0;
	margin: .2em 0;
	vertical-align: middle;
	margin-left: .4em;
	margin-right: 22px;
}
.ui-spinner-button {
	background: url("images/ui-bg_glass_75_e6e6e6_1x400.png") repeat-x scroll 50% 50% #E6E6E6;
    color: #555555;
    font-weight: normal;
    
    line-height: normal;
    vertical-align: middle;
    
	width: 16px;
	height: 50%;
	font-size: .5em;
	padding: 0;
	margin: 0;
	text-align: center;
	position: absolute;
	cursor: default;
	display: block;
	overflow: hidden;
	right: 0;
}
.ui-button-text {
    padding: 0.4em 1em;
    display: block;
    line-height: normal;
    color: #555555;
    font-size: 1em;
    font-family: Verdana,Arial,sans-serif;
    cursor: default;
    text-align: center;
}
/* more specificity required here to overide default borders */
.ui-spinner a.ui-spinner-button {
	border-left: 1px solid #bbbbbb;
	border-top: none;
	border-bottom: none;
	border-right: none;
}
/* vertical centre icon */
.ui-spinner .ui-icon {
	position: absolute;
	margin-top: -8px;
	top: 50%;
	left: 0;
}
.ui-spinner-up {
	top: 0;
}
.ui-spinner-down {
	bottom: 0;
}

/* TR overrides */
.ui-spinner .ui-icon-triangle-1-s {
	/* need to fix icons sprite */
	background-position: -65px -16px;
}
.ui-icon-triangle-1-n {
    background-position: 0 -16px;
}

form .field-inline {
	padding: 5px;
        float: left;
	position: relative;
        margin-left: 10px
} 

form .field-inline label {
	float: left;
    margin-top: 3px;
    /*min-width: 150px;
    max-width: 150px;*/
	width: 150px;
    padding-right: 5px;
}

form .field-inline input {
	float: left;
}

form .field-inline .help-inline {
	display: inline-block;
	margin-top: 4px;
	margin-left: 5px;
	font-size: 10px;
	color: #777777;
}

.field-error {
	background-color: #990000;
	color: #FFFFFF;
}
